=== debian/changelog ===
sddm (0.17.0-1ubuntu7) bionic; urgency=medium

  * debian/sddm.service: Always wait for plymouth quit to run before
    trying to start.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Apr 2018 14:12:06 +0100

sddm (0.17.0-1ubuntu6) bionic; urgency=medium

  * debian/sddm.service Apply the fix for the race between sddm and
    logind to our service template as this is what we install.
  * debian/patches: Drop previous fix-logind-race.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 17 Apr 2018 22:21:36 +0100

sddm (0.17.0-1ubuntu5) bionic; urgency=medium

  * debian/sddm.service: Now we start on VT1 we need to avoid collision
    with plymouth. So take the startup ordering recommended in the
    sddm.service comments, and currently in use by KDE Neon.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 17 Apr 2018 13:39:09 +0100

sddm (0.17.0-1ubuntu4) bionic; urgency=high

  * Fix race between sddm and logind (LP: #1763977).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 15 Apr 2018 14:36:43 -0500

sddm (0.17.0-1ubuntu3) bionic; urgency=medium

  * Use VT1 by default now ubuntu has switched to this. Remaining on VT7
    has already caused one issue with ubiquity-dm where it expects the
    dm to conflict getty@getty1.service, but we do not. While this may
    be fixed in ubiquity itself, sddm no longer has any reason in ubuntu
    to force minumim VT7.
    - debian/patches: drop 03_vt7-minimum-vt.diff
    - debian/sddm.service: conflict getty@tty1.service rather than tty7

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 11 Apr 2018 07:50:07 +0100

sddm (0.17.0-1ubuntu2) bionic; urgency=high

  * Merge back in contents of 0.14.0-4ubuntu2 which were dropped during the
    last Debian merge.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 31 Mar 2018 17:56:57 -0500

sddm (0.17.0-1ubuntu1) bionic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Use the Breeze SDDM theme instead of the Maui one.
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Add pam_kwallet.so to debian/sddm.pam.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 22:16:55 -0600

sddm (0.17.0-1) sid; urgency=medium

  [ Clive Johnston ]
  * Drop upstream patches.

  [ Simon Quigley ]
  * New upstream release (0.17.0).
  * Bump Standards-version to 4.1.1, no changes needed.
  * Upstream patch from Kubuntu which allows for NVIDIA Prime to be setup on
    login.
  * Update patches.
  * Add 04_set_default_path.diff back.

  [ Maximiliano Curia ]
  * Suggest qtvirtualkeyboard
  * Bump to Standards-Version 4.1.3
  * Update Vcs fields
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 25 Feb 2018 09:26:35 +0100

sddm (0.15.0-1) sid; urgency=medium

  * New upstream release (0.15.0).
  * Drop upstream patches
  * Migrate to dh using compat 10
  * Bump Standards-Version to 4.1.0.
  * Add new theme sddm-theme-maya
  * Use pam_deny in the sddm-greeter password
  * Add fish specific Xsession snipped (from upstream's f486cf4)
  * Update copyright file
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 23:57:41 +0200

sddm (0.14.0-4ubuntu2) bionic; urgency=high

  * Don't use an absolute path when setting $DESKTOP_SESSION (LP: #1668722).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Feb 2018 18:25:09 -0600
