=== debian/changelog ===
sddm (0.18.0-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix X not having access control on startup (CVE-2020-28049)
    (Closes: #973748)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 04 Nov 2020 15:29:27 +0100

sddm (0.18.0-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Remove unneeded dbgsym stanza of debian/rules.
  * Refresh patches for the new upstream release, and remove the
    reverse-applicable handle-reading-from-a-closed-file-handle.patch.
  * /etc/sddm.conf is no longer shipped by default; remove it from
    sddm.install and not-installed.

  [ Maximiliano Curia ]
  * Workaround entropy starvation by recommending haveged
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Jul 2018 13:26:44 +0200

sddm (0.17.0-2) experimental; urgency=medium

  * New revision
  * Also read the environment from ~/.pam_environment
  * Start after systemd-logind
  * Check for the daemon name, not the full path.
    Thanks to Alf Gaida for the report (Closes: 901966)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 21 Jun 2018 13:08:36 +0200
