=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Michał Zając <quintasan@kubuntu.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.8),
-               debhelper (>= 10),
+               debhelper (>= 11),
                extra-cmake-modules (>= 1.4.0~),
                libpam0g-dev,
                libsystemd-dev [linux-any],
@@ -20,10 +20,10 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.6.0~),
                systemd [linux-any],
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/sddm/sddm
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/sddm
+Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/sddm.git
 
 Package: sddm
 Architecture: any
@@ -32,8 +32,8 @@
          x11-common,
          xserver-xorg | xserver,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libpam-systemd, sddm-theme-breeze | sddm-theme
+         ${shlibs:Depends},
+Recommends: haveged, libpam-systemd, sddm-theme-debian-maui | sddm-theme
 Suggests: libpam-kwallet5, qtvirtualkeyboard-plugin
 Provides: x-display-manager
 Description: modern display manager for X11
@@ -50,15 +50,6 @@
 Description: 'Debian Elarun' Theme for SDDM X11 display manager
  Elarun theme for SDDM, using the active desktop-base theme for the
  background.
-
-Package: sddm-theme-maya
-Architecture: all
-Depends: ${misc:Depends}
-Recommends: sddm
-Provides: sddm-theme
-Breaks: sddm (<< ${source:Version})
-Description: 'Maya' theme for SDDM X11 display manager
- Maya theme for SDDM
 
 Package: sddm-theme-debian-maui
 Architecture: all
@@ -96,3 +87,12 @@
 Breaks: sddm (<< ${source:Version})
 Description: 'Maui' theme for SDDM X11 display manager
  Maui theme for SDDM
+
+Package: sddm-theme-maya
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: sddm
+Provides: sddm-theme
+Breaks: sddm (<< ${source:Version})
+Description: 'Maya' theme for SDDM X11 display manager
+ Maya theme for SDDM
