=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,18 @@
 	    -DBUILD_MAN_PAGES=ON \
 	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf"
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-  WITH_SYSTEMD := --with systemd
-else
+ifneq ($(DEB_HOST_ARCH_OS),linux)
   SDDM_CMAKE_ARGS += -DNO_SYSTEMD=ON -DENABLE_JOURNALD=OFF
 endif
 
 %:
-	dh $@ ${WITH_SYSTEMD} --parallel
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='sddm-dbg (<= 0.14.0-1~~)'
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- ${SDDM_CMAKE_ARGS}
 
-override_dh_systemd_start:
-	dh_systemd_start -psddm --no-start -r sddm.service
+override_dh_installsystemd:
+	dh_installsystemd -psddm --no-start -r sddm.service
 
 override_dh_installinit:
 	dh_installinit --noscripts
