## sddm 0.18.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # Set version
 set(SDDM_VERSION_MAJOR 0)
 set(SDDM_VERSION_MINOR 18)
-set(SDDM_VERSION_PATCH 0)
+set(SDDM_VERSION_PATCH 1)
 set(SDDM_VERSION_STRING "${SDDM_VERSION_MAJOR}.${SDDM_VERSION_MINOR}.${SDDM_VERSION_PATCH}")
 
 # Set up packaging
