=== data/translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(TRANSLATION_FILES
     ar.ts
+    bn.ts
     ca.ts
     cs.ts
     da.ts
@@ -10,6 +11,7 @@
     fr.ts
     hi_IN.ts
     hu.ts
+    is.ts
     it.ts
     ja.ts
     kk.ts
