=== debian/control ===
--- 
+++ 
@@ -14,21 +14,22 @@
                libxcb1-dev,
                libxkbcommon-dev,
                pkg-config,
-               python-docutils,
+               python3-docutils,
                qtbase5-dev (>= 5.6.0~),
                qtdeclarative5-dev (>= 5.6.0~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.6.0~),
                systemd [linux-any],
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://github.com/sddm/sddm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/sddm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/sddm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
 
 Package: sddm
 Architecture: any
 Depends: adduser,
          qml-module-qtquick2,
+         xauth,
          x11-common,
          xserver-xorg | xserver,
          ${misc:Depends},
