=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 SDDM_CMAKE_ARGS = -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/${DEB_HOST_MULTIARCH}/sddm \
 	    -DSESSION_COMMAND="/etc/sddm/Xsession" \
+	    -DWAYLAND_SESSION_COMMAND="/etc/sddm/wayland-session" \
 	    -DBUILD_MAN_PAGES=ON \
 	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf"
